Version 1.65b
- Added font5x10.LATIN1, font6x12.LATIN1, font10x10.GB and font10x10.BIG5(quality isn't very good since they were generated from TrueType font)
- Now menus of launcher and vshexmod can be in SJIS, GB, BIG5 and LATIN1 encoding format. Please specify encoding format in your language file.
- Updated Chinese name macro "names.gb"(GB) by angelspsp(CNGBA) / eavlvoe (MaxC)
- Added Chinese name macro "names.sjis"(SJIS) by friend from Taiwan
- Added Simplified Chinese language file by CrUmp Zhao
- Added Polish language file by derdzik
- Added Portuguese Brazil language and help file by Pender666
- Changed background image contributed by tv8 and Whiplord
- Added firmware 2.00 config text files

Launcher
- Now you can remove "ms0:/dh/kd/devhook046.prx" to prevent launcher prompt you "Switch Devhook" menu.(for Devhook 0.45 fans)
- Re-added firmware 2.00 selection

Vshexmod 1.25b
- Auto load name macro (names.*) if encoding format is specified in language file otherwise load "macro.txt"
- List only compatible fonts if encoding format is specified in language file.
- Added loading cover bitmap "cover0.bmp" in root of ISO/CSO image.


Version 1.65a

Launcher
- Fixed unable to browse "usbhostfs0:/" bug
- Fixed language setting bug

Vshexmod 1.25a
- Fixed show "dummy.cso" bug


Version 1.65
- Replaced XMB-BOOT.cso(you can remove it from ms0:/iso) with smaller dummy.cso(in folder ms0:/dh/res) and used by Launcher to disable auto start game, start emulation by CROSS to boot into XMB or CIRCLE to start normally. Please note "Autorun/Autoboot" always boot into XMB
- Updated all langauge files because of menu re-arrangement, please re-select your language
- Updated Chinese(GB) name macro "names.cn" by angelspsp(CNGBA) / eavlvoe (MaxC)
- Updated name macro "names.eng" by sanaell
- Added Czech language file

Launcher
- Auto detect UMD disc for "NOUMD" and "ANYUMD" mount method of fw1.50 emulation mode.
- Now display "BOOT SELECT" menu only if you select fw1.50 emulation mode
- Moved "Thumbnail Mode" and "Auto Disc ID." to main menu
- Now save *.vsh icons with disc ID. and can be packed into "ms0:/dh/thumbnail/icons.cso"
- Press "SELECT" to switch USB modes: USB HOST File System, USB Mass Storage and Off.

Vshexmod v1.25
- Now search *.vsh icons by disc ID. in folder "ms0:/dh/thumbnail" and file "ms0:/dh/thumbnail/icons.cso"

257 icons packed into single CSO file - download and save to "ms0:/dh/thumbnail"
http://rapidshare.de/files/37288244/icons.cso
http://www.megaupload.com/?d=ESU1DTQ0


Version 1.64a
- Updated French language file and added French help file translated by Guilouz
- Added Chinese(GB) name macro "names.cn" contributed by angelspsp(CNGBA) / eavlvoe (MaxC)
- Updated name macro "names.eng" to 1067 game titles by sanaell
- Added Dutch language file translated by X-tra

Launcher
- Fixed incorrect icon display for some games(Exit2, Myst), please remove those incorrect *.vsh icons from "ms0:/dh/thumbnail"
- Fixed non-functional autoboot


Version 1.64
- Added fw2.71SE-A support, including 2.71(NANDFlash) emulation mode
- Added dummy XMB-BOOT.cso 

Launcher
- Added background image support to fw2.71 version
- Now launcher will not save icon png file to MS, it will directly load icon from ISO/CSO file. You can remove all previous generated *.png files from "ms0:/dh/thumbnail". The *.vsh files still needed for Vshexmod.
- Added help screen, press SQUARE to display help.

Vshexmod 1.24
- Auto extract disc ID from ISO/CSO file if no disc ID embedded in file name. It is still recommended to pre-extract disc ID in Launcher mode to smooth file browsing operation.
- Now the cover bitmap files can be packed into a single CSO file "covers.cso" in folder "ms0:/dh/covers"

* Please note Launcher in folder "ms0:/psp/game" is ready for fw1.50 and fw2.71(HEN&SE), you DON'T need copy any file to "ms0:/psp/game150"

760 cover bitmap files packed into single CSO file contributed by sanaell(warning: over 30MBytes)
http://rapidshare.de/files/36297447/covers.cso
http://www.megaupload.com/?d=RF71OPEP


Version 1.63
- Dual-mode Launcher for fw1.50 and fw2.71 with HEN_C (Missing features for fw2.71 version: Flash Rom menu and background image support)
- Updated all language files, please re-select your langauge.
- Auto patch msreboot.bin for fw2.71(NANDFlash) emulation mode.
- Added menu to select Devhook 0.45 for fw1.50 emulation mode.
- Updated CW CHEAT to version 0.1.5

Launcher
- Added option to enable/disable HEN_C for DEVHOOK under "ADD-ON MENU", default is disabled.

Vshexmod 1.23
- Added battery percentage indicator.
- Added default cover file for games without cover


Version 1.62b
- Updated Chinese language file
- Added firmware 1.50F config text file
- Updated name macro "names1020.eng" by sanaell
- Integrated Reconfigure eboot.pbp to Launcher folder(for using with emulated fw2.71 only, because it only work with HEN_C enabled)
- Integrated Homebrew Enabler C for Devhook by Dark_AleX
- Added Japanese language file
- Updated all language files to fix errors on Flash Rom menu text, please re-select language to load the correct menu.
- Integrated SVCapture by ADePSP, you need to edit "ms0:/dh/kd/capture.ini" to change capture keys.

Launcher
- Added "AutoTheme" mode to Gameboot selector(for switching pmf video file only)

Vshexmod v1.21
- Automatically change Gameboot video for "AutoTheme" Gameboot mode at startup.
- Improved the increamental "Copy to MS" function


version 1.62
- Updated CW CHEAT to 0.1.4b
- Included ISO/CSO name macro "names1009.eng" with 1009 disc IDs and names contributed by sanaell

Launcher
- Added Auto Disc ID function under More Options. If enabled, disc ID will be automatically extracted and appended to ISO/CSO file name.
- Added color scroll bar to Gameboot Theme selector

Vshexmod v1.19
- Increased macro entry limit from 512 to 2048
- Now you can put disc ID bracket at anywhere of ISO/CSO file name
- Fixed increamental "Copy to MS" bug for CSO cache system

Umdcisomod.prx
- Optimized the index recording logic for CSO cache system


version 1.61a
- Added 12x12 character font in GB encoding format
- Added sample macro file "name.eng" for vshexmod with more than 350 game id and game name in English. You can change the name to whatever text you like, just make sure rename ISO/CSO file begin with game id and select correct font in vshexmod. Please rename "macro.sample" in "ms0:/dh" to "macro.txt" to activate macro function.
- Updated "mini-faq.txt" with information about CSO cache system
- updated Italian language file by hispanico
- Updated Spanish language file by Charlie52- updated French language file by sanaell
- Updated French language file by Guilouz
- Updated Chinese language file

Vshexmod v1.18a
- Added macro function for ISO/CSO file name.
For example, you rename "Bleach.cso" to "[USAS-40011]Bleach.cso" and add below text line to "ms0:/dh/macro.txt"
[USAS-40011]name="Bleach - Heat the Soul"
will make vshexmod show the .cso file as "Bleach - Heat the Soul" and also try to look for cover bitmap file name start with "USAS-40011" or "[USAS-40011]"
- Improved "Copy to MS" performance
- Added startup welcome text mode to prevent cracking sound when emulation start
- Switching CPU/BUS clock using "HOME+SELECT" combo key even in single key mode
- Added show cover picture function, save cover picture from gamespot in 24bit/32bit bitmap to "ms0:/dh/covers" with same name as ISO/CSO/DAX file plus .bmp extention. The bitmap file size should be under 100k. For example, cover bitmap file for "game.cso" should be "game.cso.bmp".
- Added ".dax" extension filter
- Now the font list is gnerated from font files in "ms0:/dh/res"
- Specify character encoding in language file to make sure vshexmod use right font.
For example, if you want to use simplified Chinese, add following line to your language file
[vsh_setup]charcode=GB


version 1.61
- Added French language file translated by Guilouz
- Added EBOOT.PBP for firmware 1.00
- Updated CW CHEAT to 0.1.3b

Launcher
- Changed the language file folder to "ms0:/dh/lang", please remove "*.lang" files from "ms0:/dh" if upgrade from old version.
- Fixed the "UMD Disc" freeze bug if there is sub-folder inside "ms0:/iso"

Vshexmod v1.13
- Fixed switching back to internal font bug after first usage of Font10x10.SJIS
- Added language file support in XMB, please use "Font10x10.SJIS" if selected language is out of ASCII code range
- Improved the CSO cache system. Now the CSO cache file is copied to "ms0:/iso/cache" and the CSO usage index capture is more accurate.
- Added increamental "Copy to MS" logic. If the cache file is already exist, "Copy to MS" function will only copy new captured contents since last copy operation.

* Menu text of vshexmod in language files haven't been translated, please share in this thread if you update it and will be included in next release



v1.60a
- Updated French language file by sanaell
- Added Italian language file by hispanico
- Updated Chinese language file

Vshexmod 1.12
- Fixed clock setup menu bug
- Support file name up to 256 characters and increased limit of file list to 256 files
- Added text font selection, currently only internal 8x8 English and external 10x10 Japanese/Chinese character font in Shift-JIS code format.

v1.60
- Added German language file by piecejoker
- Added Spanish language file by Charlie52

Launcher
- Fixed fail to load fw bug if .rco file don't exist for selected gameboot theme

Vshexmod 1.10
- Added CSO cache system. If enabled and you play a CSO game, a small index file will be generated to record all data used by current game section.
- Then you use "Copy to MS" function to copy those needed portion of the CSO file data to memory stick, use "SELECT" key to switch between "Mount", "Copy to MS" and "Remove" function in ISO/CSO file list mode. Please note that "Copy to MS" only valid for "usbhostfs0" files and "Remove" only valid for "ms0" files. When copying file, press "SELECT" to cancel.
- The result CSO file in memory stick can be played normally but limit to contents of recorded game section. WARNING: PSP may crash if you play out of contents. 
- The cache index data will be accumulated everytime you play the original CSO file. So the more you play the original CSO file the bigger CSO cache file and the chance of missing game data will be minimized.
- Since "SELECT" key is used by cache system, a new "CPU/BUS Clock" menu is added to main "Setup" menu.

* The CSO cache system is a experimental feature. If you don't know what I am talking about or you think this a stupid idea please don't enable/use it.

v1.53

Launcher
- Rearrange items of "OTHER MENU" to "MORE OPTIONS" and "ADD-ON MENU"
- Added language selection menu to "ADD-ON MENU". Switching back to internal menu need restart launcher.
- Added "Gameboot Theme" menu, please rename "gameboot.pmf" and "opening_plugin.rco" to <theme name>.pmf and <theme name>.rco and copy to folder "ms0:/dh/gameboot".
- Added choice of screenshot key, <L-Trigger + Note> or <Note> only.

v1.52

Launcher
- Transparent text background for main screen.
- Added a simple color scroll bar for ISO/CSO file list.
- Added option to enable/disable screen shot on emulated XMB
- Added 300MHZ/150MHZ to clock menu

Vshexmod 1.08
- Added a simple color scroll bar for ISO/CSO file list.
- Added option to select direct color or transparent mode for text background
- Added option to change USB to USBHOSTFS, USB storage or off mode.
- In file list mode, press "HOME" again to refresh
- Fixed the flickering bug for display default icon

screenshotbmp.prx
- Changed the key to "L-Trigger + Note"

v1.51a

Launcher
- Now all thumbnail icons are saved in folder "ms0:/dh/thumbnail"
- Added optional background image to main screen, you can change it by replacing "ms0:/dh/res/background.png" just make sure its dimension is 480x272.
- Integrated "Cheat Master" by Aeolus

Vshexmod 1.07
- Added manual mount option, press CIRCLE or CROSS to mount
- Crop file name with more then 50 characters and removed the [...] crop handling

v1.50

Launcher
- Added thumbnail mode to automatically extract and display icon from ISO/CSO file
- Browsing through ISO/CSO will generate two extra files: *.png file for launcher and *.vsh for vshexmod
- Added option to enable/disable thumbnail mode

Vshexmod 1.06
- Added 3 icon display modes: Single File, Half Screen and Full Screen.
- Icon modes need launcher to generate thumbnail icon for each ISO/CSO file first.

v1.40

Launcher
- Enhanced the macro system to let you change menu text to other language, please check sample language files for English and Chinese in "ms0:/dh"
- Please note that the langualge file has to be in Shift-JIS code format because I am still using Booster's patch to PSPSDK for Japanese Language support. The Shift-JIS code should include many other languages including Chinese and Korean character support. Though I only test the Chinese Language(I only know Chinese and English).
- To make sure your language file can be display correctly by launcher, set the "Language for non-Unicode programs" option to "Japanese" in "Regional and Language Options" of "Control Panel" then edit the language file by "Notepad" program.

Vshexmod 1.05a
- Fixed changing clock bug

v1.39

Launcher
- Added macro system to launcher
- Edit a text file "macro.txt", put it inside "ms0:/dh" with all macros for launcher
- Macro syntax is very simple, below are some sample macros
[333]clock=333 fw=260
[mph]boot=3 mount=0 fw=0
[runumd]boot=4 mount=0 fw=0
[250]fw=250 umdver=1 mount=1
- Supported key words are "clock", "clk", "firmware", "fw", "boot", "mount", "umdver", "pladdr" and "eboot"
- Edit your iso/cso file name to begin with a macro key, for the above example [333], [mph], [runumd] and [250]
- Launcher will start your iso/cso after applying settings defined by the macro
- Added more information to iso/cso file list with location(ms/usb) and file size

Vshexmod/Reconfigure
- More precise firmware version display.

V1.38

- Integrated "CW CHEAT" version 0.1.2 by weltall(hope he don't mind), only prx and cheat database is included. Please download full set for user manual and other tools. 
- Removed loading screenshotbmp.prx in vsh mode, only in game mode

Launcher
- Re-added 266/333 to clock menu
- Changed screenshot option "Capture to USB" to "Auto MS/USB"
- Added option to enable/disable "CW CHEAT" for individual firmware

Vshexmod
- Extended the time needed to enter setup menu for "Original Key Style"

Screenshotbmp.prx
- Added "auto capture to MS/USB" mode.

V1.37

Launcher
- Press CROSS(CIRCLE to start normally) to start emulation should disable auto starting game on emulated fw. 
- More accurate usbhostfs connection status(auto detect in background)
- Removed XMB color menus, please use new XMB setup menu on emulated fw.

Vshexmod/Reconfigure 1.05 - on emulated fw
- Increase 32 files limitation to 96 files.
- Added "10 lines" mode to XMB Display Layout.
- Added setup menu on XMB for "Text Color", "Background Mask Color", "Display Time" and "Display Layout", press HOME and hold 1-2 seconds to enter setup menu. Analog stick can also be used to browse menu.
- Remove duplicate menu from "Reconfigure"
- Add analog control for browsing file/folder(for single-key style)
A-UP: Previous file
A-DOWN: Next file
A-LEFT: Move up folder level
A-RIGHT: Move down folder level
- Add options for XMB display layout, "3 lines" and "Full Screen", The later mode will display all file/sub-folder in current folder up to 32 lines.

* The source code is not included in this version, may re-release in future version when I feel boring on this project.

V1.36

- Add cnf text files for firmware 2.5

launcher
- Add option to disable "Flash ROM" menu by rename/remove the dummy file "ms0:/dh/flashrom" 
- minor bug-fix

vshexmod.prx
- Change the XMB status to 3 lines
1: FW VER. - CPU Clock
2: Folder Name - (current file index/total no. of files)
3: File/Sub-folder Name

reconfigure 1.01
- Add options for XMB keys, XMB Text Color, XMB Background Color and XMB Status Display Time to main menu.
- Save the change to XMB settings
- Remove "Switch to firmware 2.5" and "Switch to firmware 2.0" since they are not working with current DH, although they can boot from fw1.5 launcher and switch to higher version firmware.
- minor bug-fix

V1.35

launcher
- Add options for XMB text color and background reserved color(mean what color component will be reserved from backgroud image) to other menu.

vshexmod.prx
- Add XMB text color and background reserved color support
- Add HOME-START shortcut to return firmware 1.50

V1.34

launcher
- Add options for XMB keys, "Single-key style" and "Original style".

vshexmod.prx
- Add "266MHZ" clock selection
- Add "Original Style" for browsing file/folder, i.e. always hold the HOME key. This style will conflict with vshex_ret150.prx if you choose to run it concurrently with vshexmod.prx
- CROSS and CIRCLE have same function in XMB. (for Asia model PSP)

escape2xx - in emulated fw
- Add menu to select "Escape to fw150" and other features, please note that this function need fw1.50 reboot.bin to work
- Add function to toggle UMD disc and ISO/CSO mode
- Add menu to switch to other firmware version if installed

V1.33

- Add "escape2xx" module for fw2.xx to return to fw1.50.

launcher
- Add "Capture to MS" and "Capture to USB"(only work for iso running from usb) to screenshot option

vshexmod.prx
- Increase status display time-out to 4 seconds
- Add 1.5 second delay to iso mounting for minimize the noise from umd drive while you browse through files

V1.32

launcher
- Re-add 1.5/2.0/2.5 fw selection
- Re-add BATTERY status
- Auto detect usbhostfs support

vshexmod.prx
- Add file extension filter, show only ".iso" and ".cso" files

V1.31

launcher
- Fix not start up bug for non-iso emulation mode
- Add SQUARE button to quit launcher itself in autoboot mode(for customm firmware user)

vshexmod.prx
- Fix no usbhostfs0: if start with ms0: file
- Default to ms0:/iso/ folder when switching from usbhostfs0:/

V1.30

- Replace usbhostfs.prx and usblaunch.prx with lastest version from ps2dev.org svn repository.
- Add standard usbhostfs.prx in dh/kd folder
- Add new umdcisomod.prx in kd/modfiles folder
- Add new vshexmod.prx in kd/modfiles folder
- Change pspbtcnf.txt and pspbtcnf_game.txt to load new prx files
- Change ciso.exe to accept single file argument

launcher 
- Change code to load standard usbhostfs.prx
- Check iso/cso file existence before start emulation

umdcisomod.prx
- Add code to load usb prx.

vshexmod.prx
- Add code to load usb prx.
- Two status text lines, one for folder, index/total and clock. The other one is for file name.
- New control key scheme, press and release HOME key to enter status and file selection mode, L-TRIGGER/R-TRIGGER to cycle file/folder list, SQUARE/CIRCLE to up/down folder level and switching between ms and usb fs, SELECT to change clock.
- Can be run concurrently with vshex_ret150.prx by Saturne_1606

ciso.exe
- Accept single file argument, make a shortcut for it on your desktop, drag&drop ".iso" file to compress and ".cso" file to decompress.


V1.21

- Add filter to file list, only ".iso" and ".cso" will be listed.
- Add LEFT and RIGHT button for swithing page of file list.
- Replace FW & BATT status with Flash0 & Flash1 installation status.

v1.20

- Add sorting for iso list
- If USB option is enabled, a special item "usbhostfs0:/" is added to iso list, you can explore folders and files on usbhostfs0:/ so isos can be put into different folder. Please note that XMB iso selector only look for current folder.

Hi All,

Here is another DEVHOOK launcher mod:

- Based on the theBuzzer's mod.
- Integrated 0.46 launcher Flash Rom feature(change confirmation button to START).
- Multiple Autorun settings: 1,3,5 seconds and autoboot(Triangle to cancel) - idea from Riedje's mod.
- New screenshotbmp.prx from theBuzzer
- Cross or Circle to comfirm, Triangle to cancel.
- Show Page x of y for the ISO selection, 12 items per page.
- UMD version moved to other menu
- DEVHOOK 0.46 prx included
